Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slasq3

    java.lang.Object
      org.netlib.lapack.Slasq3

    public class Slasq3

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLASQ3 checks for deflation, computes a shift (TAU) and calls dqds.
     *  In case of failure it changes shifts, and tries again until output
     *  is positive.
     *
     *  Arguments
     *  =========
     *
     *  I0     (input) INTEGER
     *         First index.
     *
     *  N0     (input) INTEGER
     *         Last index.
     *
     *  Z      (input) REAL array, dimension ( 4*N )
     *         Z holds the qd array.
     *
     *  PP     (input) INTEGER
     *         PP=0 for ping, PP=1 for pong.
     *
     *  DMIN   (output) REAL
     *         Minimum value of d.
     *
     *  SIGMA  (output) REAL
     *         Sum of shifts used in current segment.
     *
     *  DESIG  (input/output) REAL
     *         Lower order part of SIGMA
     *
     *  QMAX   (input) REAL
     *         Maximum value of q.
     *
     *  NFAIL  (output) INTEGER
     *         Number of times shift was too big.
     *
     *  ITER   (output) INTEGER
     *         Number of iterations.
     *
     *  NDIV   (output) INTEGER
     *         Number of divisions.
     *
     *  TTYPE  (output) INTEGER
     *         Shift type.
     *
     *  IEEE   (input) LOGICAL
     *         Flag for IEEE or non IEEE arithmetic (passed to SLASQ5).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Field Summary
`static floatW` | `dmin1`
`static floatW` | `dmin2`
`static floatW` | `dn`
`static floatW` | `dn1`
`static floatW` | `dn2`
`static floatW` | `tau`
`static intW` | `ttype`

Constructor Summary
`Slasq3()`

Method Summary
`static void` | `slasq3(int i0, intW n0, float[] z, int _z_offset, int pp, floatW dmin, floatW sigma, floatW desig, floatW qmax, intW nfail, intW iter, intW ndiv, boolean ieee)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ttype

    public static intW ttype

### tau

    public static floatW tau

### dn2

    public static floatW dn2

### dn1

    public static floatW dn1

### dn

    public static floatW dn

### dmin2

    public static floatW dmin2

### dmin1

    public static floatW dmin1

Constructor Detail

### Slasq3

    public Slasq3()

Method Detail

### slasq3

    public static void slasq3(int i0,
                              intW n0,
                              float[] z,
                              int _z_offset,
                              int pp,
                              floatW dmin,
                              floatW sigma,
                              floatW desig,
                              floatW qmax,
                              intW nfail,
                              intW iter,
                              intW ndiv,
                              boolean ieee)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD